Compare Carbon Usage
This endpoint allows you to compare carbon quantities to more recognizable items such as cars, light bulbs, or kettles. Our list of metrics and comparison units are quite extensive so a list of accepted combinations has been compiled and is available here
Bearer-AuthAuthorizationBearer <token>application/json- body
carbon_quantity*integer1 <= valuecarbon_unit*Carbon UnitSQUAKE uses The International System of Units (SI), commonly referred to as "metric system".
"tonne""kilogram""gram"items*array<>You can define one or more metrics you want to compare your carbon quantity to.
OK
application/json- response
carbon_quantity*integercarbon_unit*Carbon UnitSQUAKE uses The International System of Units (SI), commonly referred to as "metric system".
"tonne""kilogram""gram"items*array<>curl -X POST 'https://api.sandbox.squake.earth/v2/carbon-comparison' \ -H 'Content-Type: application/json' \ -d '{ "carbon_quantity": 2000, "carbon_unit": "tonne", "items": [ { "metric": "annual_usage" } ]}'{ "carbon_quantity": 5000, "carbon_unit": "tonne", "items": [ { "comparison_unit": "cars", "metric": "annual_usage", "amount": 0.1 } ]}Create a new Auditable entity
Create a new Auditable entity, which can be used for auditing
Retrieve a File
Certain records may have files attached. For a purchase, you can request a compensation confirmation, for example. SQUAKE can send this via email; you can have it returned from the purchase request immediately or fetch the file from this endpoint later. SQUAKE advises fetching files async after the purchase to keep the latency of the purchase API call low. You will always receive the file ID from the purchase endpoint if files are, or will be, attached to the record.